function [sample] = simexp(npoints, lambda)
% SIMEXP random numbers from exponential distribution
%   pdf f(x)=lambda exp(-lambda*x), x>0
%
% [sample] = simexp(npoints, lambda)
%
% Inputs: npoints - sample size
%         lambda - parameter of the distribution
%
% Outputs: sample - vector of random numbers
%
% See also SIMBINOM, SIMDISCR, SIMGEOM, SIMPARETO

% Authors: R.Gaigalas, I.Kaj
% v1.2 04-Oct-02

  % generate a sample of U(0, 1) and apply the inverse cgf
  sample = -log(rand(1, npoints))./lambda;
